POST api/Insured/InsuredCSRS
Insured CSRS list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"4b9e7dde-308d-4699-b478-3ff94a23d6f6",
"56d5b2ea-b0a5-439f-86a2-f498183fce8d"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>4b9e7dde-308d-4699-b478-3ff94a23d6f6</d2p1:guid>
<d2p1:guid>56d5b2ea-b0a5-439f-86a2-f498183fce8d</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of XRefInsuredAgents against given insured database Ids.
XRefInsuredAgents| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| FirstName | string |
None. |
|
| LastName | string |
None. |
|
| Order | integer |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| string |
None. |
||
| Phone | string |
None. |
|
| CellPhone | string |
None. |
|
| Fax | string |
None. |
|
| AgentType | string |
None. |
|
| Active | boolean |
None. |
|
| FusionEnabled | boolean |
None. |
|
| ChangeDate | date |
None. |
|
| CreateDate | date |
None. |
|
| PrimaryRole | string |
None. |
|
| AgentIs | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "a972e958-874b-467d-8299-c381de59df34",
"firstName": "sample string 2",
"lastName": "sample string 3",
"order": 4,
"insuredDatabaseId": "cc2209c4-4e2d-428d-b197-74fad1ad0837",
"email": "sample string 6",
"phone": "sample string 7",
"cellPhone": "sample string 8",
"fax": "sample string 9",
"agentType": "sample string 10",
"active": true,
"fusionEnabled": true,
"changeDate": "2026-05-09T00:11:09.2325223-05:00",
"createDate": "2026-05-09T00:11:09.2325223-05:00",
"primaryRole": "sample string 15",
"agentIs": "sample string 16"
}
application/xml, text/xml
Sample:
<XRefInsuredAgents xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Active>true</Active> <AgentIs>sample string 16</AgentIs> <AgentType>sample string 10</AgentType> <CellPhone>sample string 8</CellPhone> <ChangeDate>2026-05-09T00:11:09.2325223-05:00</ChangeDate> <CreateDate>2026-05-09T00:11:09.2325223-05:00</CreateDate> <DatabaseId>a972e958-874b-467d-8299-c381de59df34</DatabaseId> <Email>sample string 6</Email> <Fax>sample string 9</Fax> <FirstName>sample string 2</FirstName> <FusionEnabled>true</FusionEnabled> <InsuredDatabaseId>cc2209c4-4e2d-428d-b197-74fad1ad0837</InsuredDatabaseId> <LastName>sample string 3</LastName> <Order>4</Order> <Phone>sample string 7</Phone> <PrimaryRole>sample string 15</PrimaryRole> </XRefInsuredAgents>